Subject: Bug#665849: it might be normal

From: Jonas Kölker <[email-masked]>
Date: Mon, 18 Jun 2012 09:33:56 +0200

I did a bit of experimentation.  I can reproduce your behavior on an almost
fresh install of testing.

Also, if I kill pulseaudio and then run aplay -D hw:0,0 foo.wav, pulseaudio is
running again.

So, my theory is this: the alsa library starts up pulseaudio before any kind
of playback, then tries to open the hw device, but by then pulseaudio has
already monopolized it.  Hence the conflict with -D hw:0,0.  Omitting those
arguments tells alsa to use its default backend---pulseaudio---which works.

-- 
Jonas Kölker <[email-masked]> <URL:http://jonaskoelker.ignorelist.com>
At work // mail: [email-masked] // office: nygaard-280 // phone: 8942 5655